Bug 440385 - Missing dependency: tkinter
Missing dependency: tkinter
Product: Fedora
Classification: Fedora
Component: python-twisted-conch (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Vander Stichele
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-03 05:12 EDT by Trond Danielsen
Modified: 2013-02-15 01:26 EST (History)
1 user (show)

See Also:
Fixed In Version: 8.1.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-23 16:33:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Trond Danielsen 2008-04-03 05:12:04 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install python-twisted-conch
2. start tkconch
3. watch the ImportError appear in your console window.
Actual results:

Expected results:

Additional info:
Comment 1 Bug Zapper 2008-11-26 05:22:23 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 2 Matthias Saou 2008-12-23 16:33:03 EST
I've spotted this too, and actually just fixed it in the 8.1.0-2 packages pushed to devel.
Comment 3 Jens Petersen 2013-02-15 01:26:33 EST
I think it would be better to subpackage tkconch to avoid the main
library from fulling in tk*, etc.

Eg now fedmsg pulls in tk because of this.

Anyway let me open another bug for that.

Note You need to log in before you can comment on or make changes to this bug.